libgadu (1:1.12.2-6.1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:07:36 +0000

libgadu (1:1.12.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062307

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:12:55 +0000

libgadu (1:1.12.2-6) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libgadu3: Add Multi-Arch: same.
    + libgadu-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Aug 2021 03:05:39 +0100

libgadu (1:1.12.2-5) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-10. (Closes: #957441)
  * Use debhelper-commit.
    - Update compat level to 12.
    - Remove dependency on dh-autoreconf
    - Remove autoreconf and parallel from rules.
    - Adjust doc location.
  * Exclude md5 from doc package.
  * Update Standards-Version to 4.5.0
  * Mark Vcs to salsa.
    - Remove old gbp.conf

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 21 Apr 2020 23:44:12 +0100

libgadu (1:1.12.2-4) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-9. (Closes: #925743)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 28 Dec 2019 20:27:43 +0000

libgadu (1:1.12.2-3) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS due to attempts to report TLS compression.  Closes: #886907
  * Drop explicit -dbg package.
  * Build-Depend on graphviz.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 20 Jan 2018 03:10:47 +0100

libgadu (1:1.12.2-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Jun 2017 17:25:48 +0300

libgadu (1:1.12.2-1) experimental; urgency=low

  * New upstream release
  * Bumped Standards-Version (no changes needed)
  * Orphaned the package

 -- Marcin Owsiany <porridge@debian.org>  Tue, 14 Feb 2017 20:29:44 +0100

libgadu (1:1.12.1-4) unstable; urgency=high

  * Cherry-pick a fix for TLS connections broken due to an incompatible
    server-side change. (Closes: #853928)

 -- Marcin Owsiany <porridge@debian.org>  Fri, 03 Feb 2017 16:28:08 +0100

libgadu (1:1.12.1-3) unstable; urgency=medium

  * Switch on --with-c99-vsnprintf for cross-building.
    Thanks to Helmut Grohne for a patch (Closes: #839541)
  * Update some links.

 -- Marcin Owsiany <porridge@debian.org>  Wed, 05 Oct 2016 22:25:32 +0200

libgadu (1:1.12.1-2) unstable; urgency=medium

  * Upload to unstable
  * Removed the explicit automake version setting, since this package is
    generally well behaved regarding its automake usage. (Closes: #793581)

 -- Marcin Owsiany <porridge@debian.org>  Fri, 07 Aug 2015 22:01:08 +0200

libgadu (1:1.12.1-1) experimental; urgency=low

  * New upstream release
  * Bumped standards-version

 -- Marcin Owsiany <porridge@debian.org>  Tue, 13 Jan 2015 21:22:41 +0100

libgadu (1:1.12.0-5) unstable; urgency=medium

  * Depend on libgnutls28-dev, not the old libgnutls-dev. Really
    (Closes: #765654)

 -- Marcin Owsiany <porridge@debian.org>  Mon, 20 Oct 2014 08:35:58 +0200

libgadu (1:1.12.0-4) unstable; urgency=medium

  * Add a libgnutls-dev dependency to libgadu-dev (Closes: #765654)

 -- Marcin Owsiany <porridge@debian.org>  Sun, 19 Oct 2014 13:36:19 +0200

libgadu (1:1.12.0-3) unstable; urgency=low

  * Upload to sid

 -- Marcin Owsiany <porridge@debian.org>  Sat, 26 Jul 2014 14:25:43 +0200

libgadu (1:1.12.0-2) experimental; urgency=low

  * Add build-depends on libprotobuf-c-dev to avoid using the embedded copy.
    (Closes: #755548)
  * Update the lintian override.

 -- Marcin Owsiany <porridge@debian.org>  Fri, 25 Jul 2014 14:25:16 +0200

libgadu (1:1.12.0-1) unstable; urgency=low

  * New upstream release
    - no code changes since 1:1.12.0~rc3.5-1

 -- Marcin Owsiany <porridge@debian.org>  Sun, 15 Jun 2014 13:40:09 +0200

libgadu (1:1.12.0~rc3.5-1) unstable; urgency=low

  * Override a lintian spelling false positive.
  * Pass VERBOSE=1 to dh_auto_test.
  * New upstream snapshot
    - contains a fix for connect automatic test failure on kfreebsd
    (Closes: #750843)

 -- Marcin Owsiany <porridge@debian.org>  Wed, 11 Jun 2014 07:41:35 +0200

libgadu (1:1.12.0~rc3-1) unstable; urgency=high

  * New upstream release candidate.
    - contains a fix for server-triggered memory corruption that may have
    security implications
  * Fixed the watch file to correctly mangle -rc versions

 -- Marcin Owsiany <porridge@debian.org>  Thu, 08 May 2014 13:46:53 +0200

libgadu (1:1.12.0~rc2-2) unstable; urgency=low

  * Upload to sid
  * Bumped standards-version
  * Updated the Vcs-Git field with branch name

 -- Marcin Owsiany <porridge@debian.org>  Tue, 22 Apr 2014 20:02:47 +0200

libgadu (1:1.12.0~rc2-1) experimental; urgency=high

  * New upstream release candidate
  * Contains a fix for CVE-2013-6487: a possible buffer overflow when parsing
    HTTP response
  * Add a dependency on protobuf-c-compiler and ca-certificates
  * Bump automake dependency to 1.14 and gnutls to 28-dev
  * Add 8 new symbols to the symbols file

 -- Marcin Owsiany <porridge@debian.org>  Thu, 06 Feb 2014 21:46:59 +0100

libgadu (1:1.12.0~pre+r1323-1) experimental; urgency=low

  * New upstream snappshot
    - further improvements to the test suite, should fix or at least shed some
      light on the hurd and kfreebsd FTBFSes

 -- Marcin Owsiany <porridge@debian.org>  Mon, 03 Sep 2012 15:50:41 +0100

libgadu (1:1.12.0~pre+r1314-1) experimental; urgency=low

  * New upstream snapshot
  * Dependency adjustments after recent upstream changes.
  * Add a lintian override for the jquery file installed by doxygen.

 -- Marcin Owsiany <porridge@debian.org>  Fri, 17 Aug 2012 19:45:55 +0200

libgadu (1:1.12.0~pre+r1304-1) experimental; urgency=low

  * New upstream snapshot
    - this does fix the flakiness that caused freebsd-amd64 FTBFS
  * Set -Werror when building tests too.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 31 Jul 2012 22:58:30 +0100

libgadu (1:1.12.0~pre+r1302-1) experimental; urgency=low

  * New upstream snapshot.
    - this hopefully fixes the flakiness that caused freebsd-amd64 FTBFS

 -- Marcin Owsiany <porridge@debian.org>  Tue, 26 Jun 2012 22:46:45 +0100

libgadu (1:1.12.0~pre+r1301-1) experimental; urgency=low

  * New upstream snapshot.
    - this does seem to fix the FTBFS on hurd-i386

 -- Marcin Owsiany <porridge@debian.org>  Sun, 24 Jun 2012 21:34:23 +0100

libgadu (1:1.12.0~pre+r1298-1) experimental; urgency=low

  * New upstream snapshot.
    - makes tests more robust, should fix FTBFS on some architectures

 -- Marcin Owsiany <porridge@debian.org>  Fri, 22 Jun 2012 22:08:57 +0100

libgadu (1:1.12.0~pre+r1295-1) experimental; urgency=low

  * New upstream snapshot.
  * Corrected gcrypt configure option.
  * Strip some flags passed automatically by dh_auto_configure.
  * Enable -Werror for build.
  * Temporarily bump debhelper verbosity.

 -- Marcin Owsiany <porridge@debian.org>  Mon, 18 Jun 2012 22:30:42 +0100

libgadu (1:1.12.0~pre+r1289-1) experimental; urgency=low

  * New upstream snapshot.
  * Made libgcrypt11-dev build-dependency explicit and added to configure
    invocation.
  * Use ${misc:Pre-Depends}.

 -- Marcin Owsiany <porridge@debian.org>  Sun, 17 Jun 2012 14:40:50 +0100

libgadu (1:1.12.0~pre+r1278-1) experimental; urgency=low

  * New upstream snapshot (Closes: #630655)
  * Added a build-dep on zlib1g-dev.
  * Bumped the API version in symlink targets.
  * Updated branch names to the versioned ones.
  * Moved the git-buildpackage config file to debian/.
  * Modernized and cleaned up the build process.
  * Export a variable in debian/rules to improve test error reporting.
  * Corrected flag in example make invocation.
  * Added new symbols.
  * Added a todo note about query.js.
  * Bumped Standards-Version to 3.9.2.
  * Added pkg-config to build-deps.
  * Amended a TODO item with bug number.
  * Refactor override_dh_installdocs to work on arch-only builds.
  * Added new symbols.
  * Bumped Standards-Version: to 3.9.3 (no changes needed).
  * Switch to dh 9 and multi-arch.
  * Use dpkg-dev 1.16.1 architecture vars makefile snippet.

 -- Marcin Owsiany <porridge@debian.org>  Fri, 15 Jun 2012 09:24:17 +0100

libgadu (1:1.10.1-1) unstable; urgency=medium

  * New upstream release
    - includes a fix for an image transfer problem

 -- Marcin Owsiany <porridge@debian.org>  Tue, 15 Mar 2011 08:38:25 +0000

libgadu (1:1.10.0+r1059-1) unstable; urgency=medium

  * Merged upstream fix for broken proxy connections.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 05 Mar 2011 20:57:38 +0000

libgadu (1:1.10.0+r1057-1) unstable; urgency=low

  * New upstream release
    - includes working TLS support again
  * Merged some additional changes (SVN r1057) destined for 1.10.1
  * Explicitly build against gnutls.
  * Disabled silent make rules.
  * Bumped the API version in symlink targets.
  * Bumped copyright year.
  * Added new symbols to debian/libgadu3.symbols.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 26 Feb 2011 14:40:59 +0000

libgadu (1:1.9.0-2) unstable; urgency=high

  * RC bugfix release targeted at squeeze and sid
  * Cherry-picked a fix for memory corruption in dcc7 session removal,
    Closes: #605551

 -- Marcin Owsiany <porridge@debian.org>  Tue, 30 Nov 2010 19:23:50 -0800

libgadu (1:1.9.0-1) unstable; urgency=low

  * New upstream release: 1.9.0
    - also contains fixes for a memory leak and invalid memory access from the
      1.9 branch
  * Bumped Standards-Version to 3.9.1:
    - Do not pass add -D_REENTRANT to CFLAGS, it is obsolete.
  * Added a command to delete docs/html/installdox, working around Bug#591387

 -- Marcin Owsiany <porridge@debian.org>  Mon, 02 Aug 2010 17:15:15 +0000

libgadu (1:1.9.0~rc2-1) unstable; urgency=low

  * New upstream release candidate: RC2

 -- Marcin Owsiany <porridge@debian.org>  Thu, 19 Nov 2009 21:50:08 +0000

libgadu (1:1.9.0~rc1+r874-1) unstable; urgency=medium

  * New upstream SVN snapshot: r874
  * Urgency medium kept since previous upload has not made it to testing yet

 -- Marcin Owsiany <porridge@debian.org>  Tue, 20 Oct 2009 12:03:05 +0100

libgadu (1:1.9.0~rc1+r868-1) unstable; urgency=medium

  * New upstream SVN snapshot: r868
  * Urgency medium, as the previous version contained some API changes which
    are now gone, so the sooner we hide them from people, the better.

 -- Marcin Owsiany <porridge@debian.org>  Sun, 18 Oct 2009 22:08:02 +0100

libgadu (1:1.9.0~rc1+r844-1) unstable; urgency=low

  * New upstream SVN snapshot: r844
  * Moved HTML documentation and examples to a newly created
    arch-independent "libgadu-doc" package
  * Disabled compression of the JavaScript file referenced by the HTML
    documentation.
  * Mentioned the -DASYNC flag in examples' README file

 -- Marcin Owsiany <porridge@debian.org>  Tue, 06 Oct 2009 10:39:03 +0100

libgadu (1:1.9.0~rc1+r837-1) experimental; urgency=low

  * New upstream release candidate, until SVN rev 837
  * Noted in debian/copyright the license of MD5 code.
  * Bumped API version to 10 in library file name
  * Do not run make in docs/ - now integrated in automake's makefiles
  * Bumped versioned dependency on debhelper to match debian/compat
  * Added a Homepage field to debian/control
  * Support standardized DEB_BUILD_OPTIONS, changed some makefile indentation
  * Moved the -dbg package to the new debug section (from libdevel).
  * Bumped Standards-Version to 3.8.3
  * Added the new gg_(session|http|global)_(set|get)_resolver* symbols to
    debian/libgadu3.symbols
  * Replaced the now useless when standalone Makefile for example programs
    with a tiny README file explaining how to build the programs.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 03 Oct 2009 18:34:15 +0100

libgadu (1:1.8.0+r592-3) unstable; urgency=high

  * Security upload for lenny and sid
  * Patched a medium severity security issue in src/events.c:
    - CVE-2008-4776 A size check error in status packet parsing routine which
      could lead to accessing uninitialized memory resulting in a crash.

 -- Marcin Owsiany <porridge@debian.org>  Wed, 29 Oct 2008 11:11:56 +0000

libgadu (1:1.8.0+r592-2) unstable; urgency=medium

  * Patched libgadu.c to fix a file sending corruption
  * Added ChangeLog and NEWS files from upstream, which contain some useful
    URLs

 -- Marcin Owsiany <porridge@debian.org>  Fri, 25 Jul 2008 20:14:16 -0700

libgadu (1:1.8.0+r592-1) unstable; urgency=low

  * First release of libgadu as a separate source package. Most of the
    packaging taken from the ekg package.

 -- Marcin Owsiany <porridge@debian.org>  Tue,  8 Apr 2008 14:47:44 +0100
